function CTA_draw_surf(surf, signal)

% function CTA_draw_surf draws a surface mesh and a signal on it. 
%
% Input: 
%   surf: brain surface with vertices and faces
%   signal: signal defined on the vertices
%
%
% Coded by Won Hwa Kim, 2016
% Dept. of Computer Sciences, University of Wisconsin

vertices =surf.vertices;
tri = surf.faces;
trisurf(tri,vertices(:,1), vertices(:,2),vertices(:,3), signal);
shading interp;
material dull;
lighting gouraud;

view([-1 0 0])
camlight headlight; 

daspect([1 1 1]);
axis tight;
axis off;

colorbar;