function g = CTA_heat_kernel_design(alpha)

% CTA_heat_kernel_design defines a heat kernel function
% 
% Input: 
%   alpha: level of smoothing
%
% Output: 
%   g: heat kernel
%
% Coded by Won Hwa Kim, 2016
% Dept. of Computer Sciences, University of Wisconsin

if nargin >1
    error('Invalid input numbers.');
end

g = @(x) exp(-alpha*x);

